Update an evaluator
PATCH
/
v1
/
evaluators
/
{evaluator_id}
Update an evaluator
curl --request PATCH \
--url https://api-sandbox.featherhq.com/v1/evaluators/{evaluator_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"owner": "<string>",
"config": {},
"prompt": "<string>",
"threshold": 123,
"judge_model_override": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/evaluators/{evaluator_id}"
payload = {
"name": "<string>",
"description": "<string>",
"owner": "<string>",
"config": {},
"prompt": "<string>",
"threshold": 123,
"judge_model_override": "<string>",
"tags": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
owner: '<string>',
config: {},
prompt: '<string>',
threshold: 123,
judge_model_override: '<string>',
tags: ['<string>']
})
};
fetch('https://api-sandbox.featherhq.com/v1/evaluators/{evaluator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>",
"format": "<string>",
"description": "<string>",
"owner": "<string>",
"status": "<string>",
"prompt": "<string>",
"threshold": 123,
"severity": "<string>",
"judge_model_override": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"config": {},
"tags": [
"<string>"
],
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Maximum string length:
200Maximum string length:
4096Maximum string length:
200Available options:
active, inactive, archived Maximum string length:
16384Available options:
info, low, medium, high, critical Maximum string length:
200Available options:
boolean, enum, numeric, score Maximum array length:
64Response
Successful Response
Was this page helpful?
⌘I
Update an evaluator
